Bug 39249 - Fail to build: depend on features only found in protocol's git
Fail to build: depend on features only found in protocol's git
Status: RESOLVED FIXED
Product: Spice
Classification: Unclassified
Component: xorg qxl
unspecified
Other All
: medium normal
Assigned To: Spice Bug List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-15 01:02 UTC by Cyril Brulebois
Modified: 2012-03-19 11:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cyril Brulebois 2011-07-15 01:02:27 UTC
Hi,

preparing 0.0.14 for Debian, I get this build failure:
  CC     qxl_driver.lo
/bin/sh ../libtool --silent --tag=CC   --mode=compile gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../../src -I..    -I/usr/include/spice-1   -fvisibility=hidden -I/usr/include/pixman-1 -I/usr/include/xorg    -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -Wbad-function-cast -Wformat=2 -Wold-style-definition -Wdeclaration-after-statement -g -O2 -c -o qxl_driver.lo ../../src/qxl_driver.c
../../src/qxl_driver.c: In function 'qxl_screen_init':
../../src/qxl_driver.c:911:7: error: 'QXL_COMMAND_RING_SIZE' undeclared (first use in this function)
../../src/qxl_driver.c:911:7: note: each undeclared identifier is reported only once for each function it appears in
../../src/qxl_driver.c:914:6: error: 'QXL_CURSOR_RING_SIZE' undeclared (first use in this function)
../../src/qxl_driver.c:917:7: error: 'QXL_RELEASE_RING_SIZE' undeclared (first use in this function)
make[3]: *** [qxl_driver.lo] Error 1

If I browse the protocol's git repository right, those were included in 0.8.0-1-g44e22ca, and 0.8.0 is the last release for the protocol. I guess you may want to:
 1. release protocol 0.8.1 ASAP.
 2. use a versioned dependency in the driver's configure.ac.

Mraw,
KiBi.
Comment 1 Søren Sandmann Pedersen 2011-07-21 12:51:14 UTC
Yeah, I think this should be fixed with 

    ce5507756e87a73bc6275ac275073

which reverts the changes that use unreleased features.

I'll make a 0.14.1 release of the driver.
Comment 2 Christophe Fergeau 2011-07-22 00:52:29 UTC
spice-protocol 0.8.1 was released last week, are you still having this issue with it? (I assume not)
Comment 3 aix 2012-03-19 11:32:03 UTC
This is fixed